.\" $NetBSD: eap.4,v 1.16 2006/08/01 11:25:40 drochner Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 22, 2006
.Dt EAP 4
.Os
.Sh NAME
.Nm eap
.Nd AudioPCI audio device driver
.Sh SYNOPSIS
.Cd "eap*   at pci? dev ? function ?"
.Cd "audio* at audiobus?"
.Cd "joy*   at eap?"
.Cd "midi*  at eap?"
.Cd "options EAP_USE_BOTH_DACS"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Ensoniq AudioPCI and Creative Labs
SoundBlaster PCI series of audio cards.
All models based on the ES1370, ES1371, and ES1373 chips are supported.
.Pp
By specifying:
.Bd -unfilled -offset indent
options EAP_USE_BOTH_DACS
.Ed
.Pp
a second audio device is attached.
You can use it simply by directing audio output to it.
This way it is possible for two different programs to use the "same"
audio device simultaneously.
.Sh SEE ALSO
.Xr ac97 4 ,
.Xr audio 4 ,
.Xr joy 4 ,
.Xr midi 4 ,
.Xr pci 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.4 .
.Sh CAVEATS
The joystick port hardware works by emulating a legacy
.Xr isa 4
joystick port, bypassing the
.Xr pci 4
bus method for address allocation.
This is unlikely to work on PCI busses other than the primary one.
There is also a possibility for conflicts with real ISA devices
because the PCI bus is probed before ISA.
Use with caution.
